package com.css.simulation.resource.server.infra.feign.fallback;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.project.SimulationManualProjectParam;
import com.css.simulation.resource.server.infra.feign.service.MonitorService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MonitorServiceFallback implements MonitorService {
    @Override
    public ResponseBodyVO<Integer> init(List<SimulationManualProjectParam> list) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }

    @Override
    public ResponseBodyVO start(SimulationManualProjectParam po) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }

    @Override
    public ResponseBodyVO stop(SimulationManualProjectParam po) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }
}
